Skip to Content

Gateway/FES Hub interoperability

In my understanding, as a general guideline, hub deployment for the gateway system serves the purpose of decoupling the lifecycle of front-end and back-end components, but a general guideline suggests to keep the gateway/FES at a release >= than the corresponding backend components. Is my understanding correct? Which would be the drawbacks of a Gateway serving a newer Netweaver on backend side? Is there an equivalent note of 1830198 - SAP NW Gateway: Dependencies Between IW_BEP and IW_FND for more recent FES releases?

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Feb 10, 2017 at 07:59 AM

    Hi Andrea,

    Please go through SAP note 1942072 - SAP Gateway 2.0 Support Package Stack Definition

    Regards,

    Lynn

    Add comment
    10|10000 characters needed characters exceeded

  • Feb 11, 2017 at 03:35 PM

    Thanks, in my undestanding the note maps Gateway 2.0 components to the corresponding Gateway foundational components included in recent NW releases.

    Does it apply to interoperability between hub gateways and backend systems as well, meaning e.g. that only GW_CORE 190 with SP07/SP08, in a hub deployment, can handle a NW 7.50 backend, albeit with some loss in functionality?

    Thanks!

    Andrea

    Add comment
    10|10000 characters needed characters exceeded

  • Feb 13, 2017 at 08:03 PM

    In principle it is possible to have a SAP Gateway 2.0 based Hub work also against a SAP NetWeaver 7.50 backend.

    But why would you want that?

    The addon that you mentioned though cannot serve as a Hub at all since it is only supported on 7.0 / 7.01 and SAP Gateway Hub requires at least 7.02.

    Best Regards

    Andre

    Add comment
    10|10000 characters needed characters exceeded

  • Feb 14, 2017 at 05:19 PM

    Thank you Andre, that was quite the information I was looking for. I'm concerned about the impact of one or more backend upgrades on an existing gateway 2.0 hub. So I was looking for a kind of compatibility Matrix between hub and backend components. From your reply I understand that note 1942072 alone cannot provide this information. Could you point me in the right direction? Thanks in advance!

    Andrea

    Add comment
    10|10000 characters needed characters exceeded